Name: H5Pget_fclose_degree
Signature:
  herr_t `H5Pget_fclose_degree`(hid_t `fapl_id`, H5F_close_degree_t *`fc_degree`)
Purpose:
  Returns the file close degree.
Description:
  `H5Pget_fclose_degree` returns the current setting of the file close degree property `fc_degree` in the file access property list `fapl_id`.

  The value of `fc_degree` determines how aggressively `H5Fclose` deals with objects within a file that remain open when `H5Fclose` is called to close that file. `fc_degree` can have any one of four valid values as described in `H5Pset_fclose_degree`.

Parameters:

hid_t `fapl_id` | IN: File access property list identifier.
H5F_close_degree_t *`fc_degree` | OUT: Pointer to a location to which to return the file close degree property, the value of `fc_degree`.

Returns:
  Returns a non-negative value if successful. Otherwise returns a negative value.
Fortran90 Interface: h5pget_fclose_degree_f

      SUBROUTINE h5pget_fclose_degree_f(fapl_id, degree, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: fapl_id ! File access property list identifier
        INTEGER, INTENT(OUT) :: degree        ! Info about file close behavior
                                              ! Possible values:
                                              !    H5F_CLOSE_DEFAULT_F
                                              !    H5F_CLOSE_WEAK_F
                                              !    H5F_CLOSE_SEMI_F
                                              !    H5F_CLOSE_STRONG_F
        INTEGER, INTENT(OUT) :: hdferr        ! Error code
                                              ! 0 on success and -1 on failure
      END SUBROUTINE h5pget_fclose_degree_f

History:

Release | C
1.6.0 | Function introduced in this release.